<form [formGroup]="primaryServiceContractForm">
        
  <div class="example-container mat-elevation-z4 " fxLayout="column"  fxLayoutGap="20px" >
          <div fxLayout="row" class="div-row"  fxLayoutGap="10px"    >
           </div>   
           
      <div fxLayout="row" class="div-border"  fxLayoutGap="10px"    >
              <div   fxFlex="40"  fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px" >
                      <label class="required-label-color" >Primary Service Contract </label>  
                  <input type="hidden" [(ngModel)]="siteAgreementPopulationModel.siteAgreementPopulationID" formControlName="hdnSiteAgreementPopulationIDCtrl" />
                
                    <mat-form-field  appearance="outline" >
                        <mat-select formControlName="agrrementPopulationCtrl"  [(ngModel)]="siteAgreementPopulationModel.agreementPopulationID"  placeholder="Select" >
                          <mat-option *ngFor="let ps of primaryServiceAgreementPopulationList" [value]="ps.agreementPopulationID">
                            {{ps.primaryServiceAgreementPopName}}
                          </mat-option>
                        </mat-select>
                      </mat-form-field>
               
              </div>
              <div   fxFlex="20"    fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px">
                      <label class="required-label-color">No. of. Units</label>  
                  <mat-form-field appearance="outline"  >
                      <input matInput maxlength="3" [(ngModel)]="siteAgreementPopulationModel.totalUnits" min="1" digitOnly formControlName="totalUnitsCtrl" />
                      </mat-form-field>
                  </div>

                  <div fxFlex="10"  fxLayout="column" fxLayoutGap="5px" >
                    <label> &nbsp;</label>  
                    <button type="button" mat-raised-button color="primary" (click)="saveSitePrimaryServiceContract()">Save</button>
                  </div>
                  <div fxFlex="10"  fxLayout="column" fxLayoutGap="5px" >
                    <label> &nbsp;</label>  
                    <button type="reset" mat-raised-button color="primary">Clear</button>
                  </div>
          
                  <div fxFlex="20"  fxLayout="column" fxLayoutGap="5px" >
                    <label> &nbsp;</label>  
                </div>
            

  </div>
  </div>
  <mat-card class="consent-main-card mat-elevation-z0">
          <div fxLayout="column" fxLayoutGap="5px" class="div-border">
            <ag-grid-angular #agGrid id="contactGrid" style="width: 100%"
              class="ag-theme-balham my-grid" [columnDefs]="columnDefs" [defaultColDef]="defaultColDef"
              [rowData]="siteAgrrementPopulationData" [rowSelection]="rowSelection" [singleClickEdit]="true"
              [floatingFilter]="false" [animateRows]="true" [gridOptions]="gridOptions"
              [pagination]="pagination" [paginationPageSize]="10" [context]="context"
              [frameworkComponents]="frameworkComponents" (firstDataRendered)="onFirstDataRendered($event)"
              [overlayLoadingTemplate]="overlayLoadingTemplate" [overlayNoRowsTemplate]="overlayNoRowsTemplate"
              (gridReady)="onGridReady($event)">
            </ag-grid-angular>
          </div>
        </mat-card>

</form>